POST api/sitecustomerapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

SiteCustomerViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

name

string

Required

String length: inclusive between 0 and 100

remark

string

None.

site_id

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "delay_between_scans": 1,
  "id": "523caa68-8720-45ed-a0c3-0d850085ec0b",
  "name": "sample string 4",
  "remark": "sample string 5",
  "site_id": "71ba0149-6848-4f0e-8055-c6affa267260"
}

application/xml, text/xml

Sample:
<sitecustomer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <delay_between_scans>1</delay_between_scans>
  <id>523caa68-8720-45ed-a0c3-0d850085ec0b</id>
  <name>sample string 4</name>
  <remark>sample string 5</remark>
  <site_id>71ba0149-6848-4f0e-8055-c6affa267260</site_id>
</sitecustomer>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"73b7e235-5cb5-4e45-90ce-bbdfdc9b25a3"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">73b7e235-5cb5-4e45-90ce-bbdfdc9b25a3</guid>